import type { RouteRecordRaw } from 'vue-router'
import { createRouter, createWebHashHistory } from 'vue-router'

const modules: Record<string, { default: RouteRecordRaw }> = import.meta.glob('./routes/*.ts', { eager: true })
const routes = Object.values(modules).map(module => module.default)

console.debug('routes :>> ', routes)

const router = createRouter({
  history: createWebHashHistory(),
  routes,
})

export default router

router.beforeEach((to, from) => {
  console.groupCollapsed(`%c${from.name?.toString()} => ${to.name?.toString()}`, 'color:#0ff')
  console.log(`%c${from.meta.title} => ${to.meta.title}`, 'color:#0cc')
  console.groupEnd()
})
